import request from '@/utils/request'

// 查询手机菜单列表
export function listMenuapp(query) {
  return request({
    url: '/system/menuapp/list',
    method: 'get',
    params: query
  })
}

// 查询手机菜单详细
export function getMenuapp(id) {
  return request({
    url: '/system/menuapp/' + id,
    method: 'get'
  })
}

// 查询手机菜单详细
export function getMenuappDetail(id) {
  return request({
    url: '/system/menuapp/detail/' + id,
    method: 'get'
  })
}


// 新增手机菜单
export function addMenuapp(data) {
  return request({
    url: '/system/menuapp/add',
    method: 'post',
    data: data
  })
}

// 修改手机菜单
export function updateMenuapp(data) {
  return request({
    url: '/system/menuapp/update',
    method: 'post',
    data: data
  })
}

// 删除手机菜单
export function delMenuapp(id) {
  return request({
    url: '/system/menuapp/delete/' + id,
    method: 'get'
  })
}

// 打印手机菜单
export function printMenuapp(query) {
  return request({
    url: '/system/menuapp/print',
    method: 'get',
    params: query
  })
}
